# -*- coding: utf-8 -*-
import logging
import oss2
import lecoresdk


def handler(event, context):
    cred = lecoresdk.CredentialProviderChain().get_credential()
    auth = oss2.StsAuth(cred['accessKeyId'], cred['accessKeySecret'], cred['securityToken'])
    bucket = oss2.Bucket(auth, 'http://oss-cn-shanghai.aliyuncs.com', 'le-fc-bucket')
    bucket.put_object('fileFromEdgePy.txt', 'Content of object')
    print("-- Put fileFromEdgePy.txt to OSS.")
    return 'OK'
